/*
 * SmartDENBlindMonitorApp.java
 */

package smartDEN_Notifier_MQTT;

import org.jdesktop.application.Application;
import org.jdesktop.application.SingleFrameApplication;

/**
 * The main class of the application.
 */
public class smartDEN_Notifier_MQTTApp extends SingleFrameApplication {

    /**
     * At startup create and show the main frame of the application.
     */
    @Override protected void startup() {
        show(new smartDEN_Notifier_MQTTView(this));
    }

    /**
     * This method is to initialize the specified window by injecting resources.
     * Windows shown in our application come fully initialized from the GUI
     * builder, so this additional configuration is not needed.
     */
    @Override protected void configureWindow(java.awt.Window root) {
    }

    /**
     * A convenient static getter for the application instance.
     * @return the instance of SmartDENBlindMonitorApp
     */
    public static smartDEN_Notifier_MQTTApp getApplication() {
        return Application.getInstance(smartDEN_Notifier_MQTTApp.class);
    }

    /**
     * Main method launching the application.
     */
    public static void main(String[] args) {
        launch(smartDEN_Notifier_MQTTApp.class, args);
    }
}
